Subject: Re: Shaping/Joining within fvwm

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 15 Nov 2002 10:48:52 +0000

On 15 Nov 2002 10:34:57 +0100, Olivier Chapuis wrote:
> 
> On Tue, Nov 12, 2002 at 02:44:15PM -0800, Nadim Shaikli wrote:
> > Hi Guys, sorry to pick on the both of you, but since you championed
> > the inclusion of Bidi (fribidi) into fvwm I thought I'd approach ya
> > first.
> > 
> > As promised (awhile back), I've finally included shaping/joining
> > code to fvwm (needed for most Bidi languages such as Arabic, Farsi
> > and all of the Syriacs).  Without this code, those language are
> > simply not usable and so I'm trying to remedy that issue.
> > 
> > Here is my dilemma, I'm including a patch which works on the
> > simple strings (1, 2 words in titles), but seems to fail on
> > more complex ones without any indicators to why.  I'm unable
> > to reproduce those problems without running fvwm (ie. I can't
> > get the code to fail outside of its inclusion into fvwm).  I'm
> > also unfamiliar with Xnest and how to go about setting that whole
> > thing up, etc.  Which leads me to my humble request.  As noted
> > I'm including the patch against CVS snapshot 20021111 (and
> > fribidi-0.10.4) and I'm also including a simple xterm call with
> > an Arabic/utf-8 title.  If you were to chmod 777 that xterm call
> > and invoke it, fvwm fails and core dumps - the traceback doesn't
> > really reveal much to me (as I'm not too familiar with the fvwm
> > code).  So I'm asking for help.
> 
> Mikhael, do you have the time to add the patch?

I will try. Hopefully it does not require fribidi detection changes.
If it core dumps on me as reported above, I will #ifdef it.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Olivier Chapuis <[email-masked]>
Date: Fri, 15 Nov 2002 10:34:57 +0100

Olivier